public abstract class Schiff {
    public int laenge;
    char repr = '?';

    public Schiff(int schiffLaenge) {
        laenge = schiffLaenge;
    }

    public char repr() {
        return this.repr;
    }

    public boolean insertToMap(int y, int x, Feld map, char orientation) {
        if (orientation == 'v') {
            for (int i = 0; i < this.laenge; i++){
                if (!map.insertShip(this, y+i, x)) {
                    return false;
                }
            }
            return true;
        }
        else if (orientation == '|') {
            for (int i = 0; i < this.laenge; i++){
                if (!map.insertShip(this, y-i, x)) {
                    return false;
                }
            }
            return true;
        }
        else if (orientation == '>') {
            for (int i = 0; i < this.laenge; i++){
                if (!map.insertShip(this, y, x+i)) {
                    return false;
                }
            }
            return true;
        }
        else if (orientation == '<') {
            for (int i = 0; i < this.laenge; i++){
                if (!map.insertShip(this, y, x-i)) {
                    return false;
                }
            }
            return true;
        }
        return false;
    }

    public Schiff() {
    }
}
